$(function() {
    // 学习分类

    // 轮播图
    var idxSwiper = new Swiper('.swiperStudyImg', {
        autoplay: 5000,//可选选项，自动滑动
        loop: true,
        autoHeight: true,
        prevButton: '.swiper-button-prev',
        nextButton: '.swiper-button-next',
        pagination: '.swiper-pagination',
        paginationClickable: true,		//点切换
        autoplayDisableOnInteraction: false  //操作后继续
    });

    $.get(gloablePath + "/party-app-education-front/res/readonly/listCommonCate?&requestUser=hotel&requestPassword=123456", function (data) {
        console.log(data);
        $.each(data.dataList, function (index, el) {
            $(".studyTit .swiper-wrapper").append(`
                    <div class="swiper-slide ">
                      <a href="javaScript:;" name="${el.code}">${el.name}</a>
                    </div>
             `)
        });

        var newsSwiper = new Swiper('.studyTit', {
            slidesPerView: 4,
            paginationClickable: true,
            freeMode: true    //自动贴合
        });
        $(".studyTit .swiper-slide ").eq(0).find("a").addClass("active");
        if(sessionStorage.getItem("studyTitCateId")){
            var studyTitCateId = sessionStorage.getItem("studyTitCateId");
            getStudyCate(studyTitCateId);
            $(".studyTit .swiper-slide a").removeClass("active");
            $(".studyTit .swiper-slide ").eq(sessionStorage.getItem("clickStudytCateIndex")).find("a").addClass("active");
        }else{
            getStudyCate(3004);
        }
        $(".studyTit .swiper-slide a").on("click",function(){
            var clickStudytCateIndex = $(this).parents(".swiper-slide").index();
            sessionStorage.setItem("clickStudytCateIndex",clickStudytCateIndex);
            console.log(clickStudytCateIndex);
            $(".studyTit .swiper-slide a").removeClass("active");
            $(this).addClass("active");
            var studyTitCateId = $(this).attr("name");
            sessionStorage.setItem("studyTitCateId",studyTitCateId);
            console.log(studyTitCateId);
            getStudyCate(studyTitCateId)
        });
    })
    function getStudyCate(studyTitCateId){
        $.get(gloablePath+"/party-app-education-front/res/readonly/listCommonContent?&pageNo=1&pageSize=10&&requestUser=hotel&requestPassword=123456",{cateCode:studyTitCateId},function(data){
            if(data.resultCode == 200){
                console.log(data);
                $(".subStudyList ul").html("");
                $.each(data.dataList,function(index,el){
                    var newsTime = el.publishTime.split(' ')[0];
                    if(el.mediaType == 0){
                        $(".subStudyList ul").append(`
                                <li class="studyItem" id="${el.id}">
                                    <div class="studyImg">
                                        <img src="${data.outServer}${el.icon}" alt="">
                                        <span><img src="../images/homePage/player.png" alt=""></span>
                                    </div>
                                    <p class="studyName">${el.name}</p>
                                    <div class="detail">
                                        <p class="pubTime">${newsTime}</p>
                                        <p class="addCollect"><span><img src="../images/homePage/view.png" alt=""></span>&nbsp;2300次 </p>
                                    </div>
                                </li>
                           `)
                    }else if(el.mediaType == 1){
                        $(".subStudyList ul").append(`
                                <li class="studyItem" id="${el.id}">
                                    <div class="studyImg">
                                        <img src="${data.outServer}${el.icon}" alt="">
                                    </div>
                                    <p class="studyName">${el.name}</p>
                                    <div class="detail">
                                        <p class="pubTime">${newsTime}</p>
                                        <p class="addCollect"><span><img src="../images/homePage/view.png" alt=""></span>&nbsp;2300次 </p>
                                    </div>
                                </li>
                           `)
                    }
                });
                // 点击跳转详情
                $(".studyItem").on("click",function(){
                    var studyDetailId = $(this).attr("id");
                    // var studyTit = $(this).find(".studyName").html();
                    console.log(studyDetailId);
                    sessionStorage.setItem("studyDetailId",studyDetailId);
                    // sessionStorage.setItem("studyTit",studyTit);
                    window.location.href="studyDetail.html";
                })
            }
        })
    }

})