$(function() {
    // 学习分类

    // 轮播图
    var idxSwiper = new Swiper('.swiperStudyImg', {
        autoplay: 5000,//可选选项，自动滑动
        loop: true,
        autoHeight: true,
        prevButton: '.swiper-button-prev',
        nextButton: '.swiper-button-next',
        pagination: '.swiper-pagination',
        paginationClickable: true,		//点切换
        autoplayDisableOnInteraction: false  //操作后继续
    });
// 判断是党员还是支部的专题学习；
    if(localStorage.getItem('isPartyBranch')=='true' ){
        $.get(gloablePath+"/party-app-education-front/plan/readonly/listBranchTopicResPlan?pageNo=1&pageSize=10&&requestUser=hotel&requestPassword=123456",{userId:localStorage.getItem("userId")},function(data){
            if(data.resultCode == 200){
                console.log(data);
                $(".subStudyList ul").html("");
                $.each(data.dataList,function(index,el){
                    var newsTime = el.publishTime.split(' ')[0];
                    if(el.mediaType == 0){
                        $(".subStudyList ul").append(`
                                <li class="studyItem" id="${el.id}">
                                    <div class="studyImg">
                                        <img src="${data.outServer}${el.icon}" alt="">
                                        <span><img src="../images/homePage/player.png" alt=""></span>
                                    </div>
                                    <p class="studyName">${el.name}</p>
                                    <div class="detail">
                                        <p class="pubTime">${newsTime}</p>
                                        <p class="addCollect"><span><img src="../images/homePage/view.png" alt=""></span>&nbsp;2300次 </p>
                                    </div>
                                </li>
                           `)
                    }else if(el.mediaType == 1){
                        $(".subStudyList ul").append(`
                                <li class="studyItem" id="${el.id}">
                                    <div class="studyImg">
                                        <img src="${data.outServer}${el.icon}" alt="">
                                    </div>
                                    <p class="studyName">${el.name}</p>
                                    <div class="detail">
                                        <p class="pubTime">${newsTime}</p>
                                        <p class="addCollect"><span><img src="../images/homePage/view.png" alt=""></span>&nbsp;2300次 </p>
                                    </div>
                                </li>
                           `)
                    }
                })
                // 点击跳转详情
                $(".studyItem").on("click",function(){
                    var subStudyDetailId = $(this).attr("id");
                    console.log(subStudyDetailId);
                    sessionStorage.setItem("subStudyDetailId",subStudyDetailId);
                    window.location.href="subStudyDetail.html";
                })
            }
        })
    }else{
        $.get(gloablePath+"/party-app-education-front/plan/readonly/listMemberTopicResPlan?pageNo=1&pageSize=10&&requestUser=hotel&requestPassword=123456",{userId:localStorage.getItem("userId")},function(data){
            if(data.resultCode == 200){
                console.log(data);
                $(".subStudyList ul").html("");
                $.each(data.dataList,function(index,el){
                    var newsTime = el.publishTime.split(' ')[0];
                    if(el.mediaType == 0){
                        $(".subStudyList ul").append(`
                                <li class="studyItem" id="${el.id}">
                                    <div class="studyImg">
                                        <img src="${data.outServer}${el.icon}" alt="">
                                        <span><img src="../images/homePage/player.png" alt=""></span>
                                    </div>
                                    <p class="studyName">${el.name}</p>
                                    <div class="detail">
                                        <p class="pubTime">${newsTime}</p>
                                        <p class="addCollect"><span><img src="../images/homePage/view.png" alt=""></span>&nbsp;2300次 </p>
                                    </div>
                                </li>
                           `)
                    }else if(el.mediaType == 1){
                        $(".subStudyList ul").append(`
                                <li class="studyItem" id="${el.id}">
                                    <div class="studyImg">
                                        <img src="${data.outServer}${el.icon}" alt="">
                                    </div>
                                    <p class="studyName">${el.name}</p>
                                    <div class="detail">
                                        <p class="pubTime">${newsTime}</p>
                                        <p class="addCollect"><span><img src="../images/homePage/view.png" alt=""></span>&nbsp;2300次 </p>
                                    </div>
                                </li>
                           `)
                    }
                })
                // 点击跳转详情
                $(".studyItem").on("click",function(){
                    var subStudyDetailId = $(this).attr("id");
                    console.log(subStudyDetailId);
                    sessionStorage.setItem("subStudyDetailId",subStudyDetailId);
                    window.location.href="subStudyDetail.html";
                })
            }
        })
    }

})